What versions of the SDK are used with versions of the NS and DS?

Article:HOWTO10454  |  Created: 2009-08-06  |  Updated: 2009-08-06  |  Article URL http://www.symantec.com/docs/HOWTO10454
Article Type
How To


Question
What versions of the SDK are used with versions of the NS and DS?

Answer

ASDK 1.x works with NS 6.x and DS 6.x.  However there are some known authentication problems with build 1.4.108.  These were documented in some of the following KB articles:

44253, 46309, 46306, 40878, 41438, 40878, 44649, 46302, 44650, 45333, 45317

These bugs were cumulatively fixed in ASDK build 1.4.209

ASDK 2.x works with NS 7.x and DS 7.x but is not compatible with NS 6.x or DS 6.x.

The ASDK 2.x can be downloaded via SIM with the other NS solutions.

Documentation for these two products can be found in the following KBs:
  • 43824 - Where is the Administrator SDK 1.x help documentation? (Altiris SDK)
  • 45816 - Where is the Administrator SDK 2.0 help documentation? (Altiris SDK)

Note: The Administrator SDK is often referred to incorrectly as the Altiris SDK.  Altiris SDK is intentionally not used because it can cause ambiguity between referencing the Administrator SDK and the Solution SDK.  Both of these SDKs have been developed by Altiris and thus Altiris SDK name has been avoided for either of these products individually.



Legacy ID



48437


Article URL http://www.symantec.com/docs/HOWTO10454


Terms of use for this information are found in Legal Notices